Results 1 to 6 of 6

Thread: ktikz on 64-bit platform

  1. #1
    Join Date
    Dec 2009
    Beans
    63
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    ktikz on 64-bit platform

    Hi All,

    I was trying to compile ktikz http://www.hackenberger.at/blog/ktik...-tikz-language on a 64-bit kubuntu 9.10, but for some reason, the produced binary file produces a segmentation fault. I haven't seen any errors/warnings during the compilation. I was wondering whether someone has experienced this problem before, or knows the solution.
    Cheers,
    v923z

  2. #2
    Join Date
    Apr 2009
    Location
    Germany
    Beans
    6
    Distro
    Ubuntu 9.10 Karmic Koala

    Thumbs down Re: ktikz on 64-bit platform

    i have the same problem here... and it successfully compiles & starts on 32bit :/
    Last edited by Bierphysik; March 17th, 2010 at 10:08 AM.

  3. #3
    Join Date
    Sep 2007
    Beans
    68
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: ktikz on 64-bit platform

    Quote Originally Posted by Bierphysik View Post
    i have the same problem here... and it successfully compiles & starts on 32bit :/
    I cannot even get it to work under 32bit: Error: Dependency is not satisfiable: libpoppler-qt4-2 (>= 0.6)
    which is not available in repositories (version -3 is though, but that doesn't work)

  4. #4
    Join Date
    Apr 2009
    Location
    Germany
    Beans
    6
    Distro
    Ubuntu 9.10 Karmic Koala

    Thumbs down Re: ktikz on 64-bit platform

    okay, i got it running under 64bit. i changed to debug mode, e.g. in config.pri change to this:

    Code:
    # compile in debug mode:
    CONFIG += debug
    # compile in release mode:
    #CONFIG -= debug
    #CONFIG += release
    @HandleWithCare: i also had package issues at the beginning but i forgot how i resolved them. a stupid error i made was after the qmake-qt i installed what appeared to be missing and the forgot to delete the files in the source folder made by the qmake-qt4 command. what i simply did i deleted the source folder (after installtion of necessary packages) and reextracted it again from the downloaded tar. then it compiled fine under 32bit 9.10 in release mode. for 64bit i had to do the upper "fix" O_o

  5. #5
    Join Date
    Apr 2008
    Beans
    7

    Re: ktikz on 64-bit platform

    Hi,

    It just did come clear what you did exactly when you wrote:
    "for 64bit i had to do the upper "fix" O_o"

    Thanks,
    Lev

  6. #6
    Join Date
    Apr 2008
    Beans
    7

    Re: ktikz on 64-bit platform

    Do this:

    svn co svn://hackenberger.at/svnroot/ktikz/trunk
    qmake
    make install
    and you will have qtikz on lucid amd64

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •